
package com.zerog.ia.customcode.actions;

import com.zerog.ia.api.pub.*;
import java.net.*;


public class HostInfo extends CustomCodeAction
{
    private static CustomError error;

    public void install(InstallerProxy ip) throws com.zerog.ia.api.pub.InstallException
    {
        error = (CustomError)ip.getService(CustomError.class);

        try
        {
            ip.setVariable("LOCAL_HOST", InetAddress.getLocalHost().getHostName());
            ip.setVariable("IP", InetAddress.getLocalHost().getHostAddress());
        }
        catch(UnknownHostException uhe)
        {
            uhe.printStackTrace();
            //log a non-fatal error in the installation log.
            logError("HostInfo Error: ", uhe.toString());
        }

    }


    public void uninstall(UninstallerProxy parm1) throws com.zerog.ia.api.pub.InstallException
    {
    }

    public String getUninstallStatusMessage()
    {
        return "";
    }

    public String getInstallStatusMessage()
    {
        return "HostInfo";
    }

    public void logError(String hi_error, String stack) throws NonfatalInstallException
    {
        error.appendError(stack, CustomError.ERROR);
        error.setLogDescription(hi_error);
        error.setRemedialText("An error has occured within the HostInfo code.  Check debug output.");
        error.log();
    }
}